Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class ConcurrentReaderHashMap.HashIterator

- org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

- All Implemented Interfaces and Traits:
    Iterator, Enumeration

      protected class ConcurrentReaderHashMap.HashIterator
      extends Object
      implements Iterator, Enumeration

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Object` | `currentKey` |
    `protected Object` | `currentValue` |
    `protected Entry` | `entry` |
    `protected int` | `index` |
    `protected Entry` | `lastReturned` |
    `protected Entry[]` | `tab` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected HashIterator()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `hasMoreElements()`
    `` | `public boolean` | `hasNext()`
    `` | `public Object` | `next()`
    `` | `public Object` | `nextElement()`
    `` | `public void` | `remove()`
    `` | `protected Object` | `returnValueOfNext()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Object currentKey

    - #### protected Object currentValue

    - #### protected Entry entry

    - #### protected int index

    - #### protected Entry lastReturned

    - #### protected final Entry[] tab

  - ### Constructor Detail

    - #### protected HashIterator()

  - ### Method Detail

    - #### @Override
      public boolean hasMoreElements()

    - #### @Override
      public boolean hasNext()

    - #### @Override
      public Object next()

    - #### @Override
      public Object nextElement()

    - #### @Override
      public void remove()

    - #### protected Object returnValueOfNext()